Create a digital worker
curl --request POST \
--url https://api.statisfy.com/v1/digital_workers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"accounts": null,
"assignment": null,
"autonomy": null,
"channels": null,
"description": "<string>",
"kind": "customer_success",
"knowledge_base_ids": null,
"persona": null,
"skill_keys": null
}
'import requests
url = "https://api.statisfy.com/v1/digital_workers"
payload = {
"name": "<string>",
"accounts": None,
"assignment": None,
"autonomy": None,
"channels": None,
"description": "<string>",
"kind": "customer_success",
"knowledge_base_ids": None,
"persona": None,
"skill_keys": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
accounts: null,
assignment: null,
autonomy: null,
channels: null,
description: '<string>',
kind: 'customer_success',
knowledge_base_ids: null,
persona: null,
skill_keys: null
})
};
fetch('https://api.statisfy.com/v1/digital_workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'accounts' => null,
'assignment' => null,
'autonomy' => null,
'channels' => null,
'description' => '<string>',
'kind' => 'customer_success',
'knowledge_base_ids' => null,
'persona' => null,
'skill_keys' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"kind\": \"customer_success\",\n \"knowledge_base_ids\": null,\n \"persona\": null,\n \"skill_keys\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/digital_workers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"kind\": \"customer_success\",\n \"knowledge_base_ids\": null,\n \"persona\": null,\n \"skill_keys\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"kind\": \"customer_success\",\n \"knowledge_base_ids\": null,\n \"persona\": null,\n \"skill_keys\": null\n}"
response = http.request(request)
puts response.read_body{
"accounts": {
"segment": {}
},
"assignment": {
"owner_field": "<string>",
"people": [
"<string>"
],
"strategy": "smart",
"to": "account_owner",
"when_teammate_answers": "keep_owner"
},
"autonomy": {
"channels": {},
"default": "auto"
},
"avatar_url": "<string>",
"built_in": true,
"channels": {
"email": {
"acknowledge": true,
"acknowledgement": "<string>",
"addresses": [
"<string>"
],
"company_address": "<string>",
"enabled": true,
"forwarding": true,
"shared_mailboxes": [
"<string>"
],
"take_in_unknown_senders": true,
"watch_mailboxes": true
},
"in_app_sdk": {
"acknowledgement": "<string>",
"enabled": true
},
"portal": {
"acknowledgement": "<string>",
"enabled": true
},
"slack": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true,
"grouping": "thread"
},
"teams": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true
}
},
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"kind": "customer_success",
"knowledge_bases": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"outreach_enabled": true,
"persona": {
"ai_disclosure": "transparent",
"greeting": "<string>",
"guardrails": "<string>",
"voice": "<string>"
},
"skills": [
{
"enabled": true,
"key": "<string>",
"name": "<string>"
}
],
"status": "draft",
"updated_at": "<string>"
}digital_workers
Create a digital worker
Creates a draft worker, with its kind’s defaults for everything you leave out, as the app’s New worker does. A draft answers nobody: activate it with PATCH /v1/digital_workers/ and status: active.
POST
/
v1
/
digital_workers
Create a digital worker
curl --request POST \
--url https://api.statisfy.com/v1/digital_workers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"accounts": null,
"assignment": null,
"autonomy": null,
"channels": null,
"description": "<string>",
"kind": "customer_success",
"knowledge_base_ids": null,
"persona": null,
"skill_keys": null
}
'import requests
url = "https://api.statisfy.com/v1/digital_workers"
payload = {
"name": "<string>",
"accounts": None,
"assignment": None,
"autonomy": None,
"channels": None,
"description": "<string>",
"kind": "customer_success",
"knowledge_base_ids": None,
"persona": None,
"skill_keys": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
accounts: null,
assignment: null,
autonomy: null,
channels: null,
description: '<string>',
kind: 'customer_success',
knowledge_base_ids: null,
persona: null,
skill_keys: null
})
};
fetch('https://api.statisfy.com/v1/digital_workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'accounts' => null,
'assignment' => null,
'autonomy' => null,
'channels' => null,
'description' => '<string>',
'kind' => 'customer_success',
'knowledge_base_ids' => null,
'persona' => null,
'skill_keys' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"kind\": \"customer_success\",\n \"knowledge_base_ids\": null,\n \"persona\": null,\n \"skill_keys\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/digital_workers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"kind\": \"customer_success\",\n \"knowledge_base_ids\": null,\n \"persona\": null,\n \"skill_keys\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"accounts\": null,\n \"assignment\": null,\n \"autonomy\": null,\n \"channels\": null,\n \"description\": \"<string>\",\n \"kind\": \"customer_success\",\n \"knowledge_base_ids\": null,\n \"persona\": null,\n \"skill_keys\": null\n}"
response = http.request(request)
puts response.read_body{
"accounts": {
"segment": {}
},
"assignment": {
"owner_field": "<string>",
"people": [
"<string>"
],
"strategy": "smart",
"to": "account_owner",
"when_teammate_answers": "keep_owner"
},
"autonomy": {
"channels": {},
"default": "auto"
},
"avatar_url": "<string>",
"built_in": true,
"channels": {
"email": {
"acknowledge": true,
"acknowledgement": "<string>",
"addresses": [
"<string>"
],
"company_address": "<string>",
"enabled": true,
"forwarding": true,
"shared_mailboxes": [
"<string>"
],
"take_in_unknown_senders": true,
"watch_mailboxes": true
},
"in_app_sdk": {
"acknowledgement": "<string>",
"enabled": true
},
"portal": {
"acknowledgement": "<string>",
"enabled": true
},
"slack": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true,
"grouping": "thread"
},
"teams": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true
}
},
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"kind": "customer_success",
"knowledge_bases": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"outreach_enabled": true,
"persona": {
"ai_disclosure": "transparent",
"greeting": "<string>",
"guardrails": "<string>",
"voice": "<string>"
},
"skills": [
{
"enabled": true,
"key": "<string>",
"name": "<string>"
}
],
"status": "draft",
"updated_at": "<string>"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
201 - application/json
Successful Response
Was this page helpful?